Create an image upload
POST
/media/v1/projects/{projectId}/images/uploadInitiates an image upload and returns upload details.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_media.createImageUploadBody",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/imagesv1.ImageUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"image_id": {
"type": "string"
},
"upload_url": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/media/v1/projects/string/images/upload" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Created
application/json
{
"$ref": "#/components/schemas/imagesv1.ImageUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"image_id": {
"type": "string"
},
"upload_url": {
"type": "string"
}
},
"type": "object"
}
}